;; Hide the menu bar.
(menu-bar-mode -1)

;; Don't use double-spaces after periods.
(setq sentence-end-double-space nil)

;; Use unicode ellipses, because they're nicer.
(setq truncate-string-ellipsis  "…")

;; Don't require full yes/no answers, allow y/n instead.
(fset 'yes-or-no-p 'y-or-n-p)

;; Open new windows to the right, not on the bottom.
(setq split-height-threshold nil
      split-width-threshold  0)

;; Scroll line-by-line, rather than jumping around haphazardly.
(setq scroll-conservatively           10000
      scroll-margin                       0
      scroll-preserve-screen-position     1)

;; Hide the frame identifier in the mode line.
(setq mode-line-frame-identification " ")

;; Display the column and line numbers of the cursor in the mode line.
(column-number-mode)

;; Display the file size in the mode line.
(size-indication-mode)
